# IMFSliderPart.h File Reference

## Classes
struct | IMFSliderPart
struct | IMFLinearSliderPart
## Enumerations
enum | ESliderAttributes { kThumbs_Token = 'NbTh', kSnpValue_Token = 'SnpV', kFirstThumbImageID = 'ThI1', kSecondThumbImageID = 'ThI2', kThirdThumbImageID = 'ThI3', kDisplayType_Token = 'DiTy', kNbDecimals_Token = 'NbDc', kDisplayParts_Token = 'DiPa', kAllowOverlapping_Token = 'AlOv', kDisplayBoundsAsThumbs_Token = 'DBaT', kDisplayOnly_Token = 'DiOn', kAddRemoveThumbs_Token = 'AdRe', kTitle_Token = 'SlTi', kCurValue_Token = 'CurV', kMinValue_Token = 'MinV', kMaxValue_Token = 'MAxV', kDisplayValueFactor_Token = 'ValF' }
enum | ELinearSliderAttributes { kFirstRailImageID = 'RlI1', kSecondRailImageID = 'RlI2', kThirdRailImageID = 'RlI3', kDisplayScale_Token = 'ScDi', kTitleAndValueDisplayRatio_Token = 'TDRa', kMinValueDisplayed_Token = 'MnDp', kMaxValueDisplayed_Token = 'MxDp', kCustomDisplayRange_Token = 'CstR', kLinearSliderValueDefaultWidth_Token = 'LSVW' }
enum | ELinearSliderDisplayScale { kDisplayScaleNormal = 0, kDisplayScaleLeftLog, kDisplayScaleCenterLog, kDisplayScaleRightLog, kInvalidLinearSliderDisplayScale = 0xFFFFFFFF }
enum | ESliderDisplayType { kDisplayNormal = 0, kDisplayPercent, kDisplayDegree, kDisplayPercentMapMinMax, kInvalidSliderDisplayType = 0xFFFFFFFF }
enum | ESliderDisplayParts { kDisplayAllParts = 0, kDisplayOnlyRail, kDisplayValueAligned, kInvalidSliderDisplayParts = 0xFFFFFFFF }
## Functions
| MCDEFINE_GUID (IID_IMFSliderPart, 0xa9637766, 0x6bb3, 0x11d3, 0xa7, 0xfa, 0x0, 0x60, 0x97, 0xb, 0xc5, 0x21)
| MCDEFINE_GUID (IID_IMFLinearSliderPart, 0xd5e04751, 0x9354, 0x4f4a, 0x98, 0x22, 0xa3, 0x5f, 0x68, 0xf1, 0x5a, 0x85)

## Function Documentation

MCDEFINE_GUID | ( | IID_IMFLinearSliderPart | ,
|  | 0xd5e04751 | ,
|  | 0x9354 | ,
|  | 0x4f4a | ,
|  | 0x98 | ,
|  | 0x22 | ,
|  | 0xa3 | ,
|  | 0x5f | ,
|  | 0x68 | ,
|  | 0xf1 | ,
|  | 0x5a | ,
|  | 0x85 |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_IMFSliderPart | ,
|  | 0xa9637766 | ,
|  | 0x6bb3 | ,
|  | 0x11d3 | ,
|  | 0xa7 | ,
|  | 0xfa | ,
|  | 0x0 | ,
|  | 0x60 | ,
|  | 0x97 | ,
|  | 0xb | ,
|  | 0xc5 | ,
|  | 0x21 |  |
| ) |  |  |